---
title: Daniil Huzenko
published: true
taxonomy:
    category: [bp2025]
    tag: [klaud]
    author: Daniel Hladek
---


rok začiatku štúdia: 2022

# Bakalárska práca 2025

Vedúci: doc. Matúš Pleva PhD.

Predbežný názov:

Testovanie hybridného klaudu s využiťím kombinácie verejného a privátneho riešenia

Cielom práce je vytvorenie vzelávacích materiálov o Kubernetes a funkčného prototypu privátneho klastra Kubernetes .

Zadanie:

1.	Napíšte prehľad metód automatizácie procesov a vypracujte úvod do platformy Kubernetes. 
2.	Vypracujte prehľad domácich klastrov založených na platforme ARM.
3.	Zostavte vlastný klaster z viacerých dosiek Raspberry PI.
4.	Nakonfigurujte na klastri platformu Kubernetes opakovateľným spôsobom a porovnajte riešenie s podobným na platforme Intel.
5.	Vypracujte textový a video tutoriál (s titulkami vo viacerých jazykoch) k zostaveniu a konfigurácii klastra s Raspberry PI. 

Stretnutie 21.2.

- Pridajte kapitolu o Azure Kubernetes System.
- Porovnajte vytvorenie K8s klastra s RPI a vytovrenie klastra s AKS. Napíšte ako je možné tieto dva spôsoby kombinovať. Napíšte ako funguje hybridný klaud. 
- Pozrite si ako sa dá vytvoriť domáci klaster z RPI. Napíšte o tom do práce aké sú spôsoby.

Stretnutie 14.2.

Úlohy:

- Do teoretickej časti napíšte prehľad odbornej literatúry - použitie Kubernetes vo vzdelávaní. použite google scholar. Heslo je "kubernetes in education".

Stetnutie 22.11.2024

Stav:

- Klaster funguje. Ku každému node je možné sa pripojiť cez SSH. 
- Momentálne notebook slúži ako router. 
- Práca na DNS MASQ prideľovanie IP adries z routra.
- Microk8s funguje

Úlohy:

- Napíšte návod a skripty pre konfiguráciu routra pre K8s klastra SuperC.
- Router by mal vedieť:
   - prideliť IP adresu v privátnej podsieti pre všetky uzly klastra.
   - mal by vedieť konfigurovať (resetovať) klaster pomocou Ansible.
- Vyporacujte video a textový tutoriál k inštalácii klastra.
- Skripty a návody dajte na GIT. Video nedávajte na GIT.  (dajte na Youtube).

Zásobník úloh:

- Router by mal slúžiť ako rozhranie medzi verejnou a súkromnou sieťou - mal by sprostredkovať služby Kubernetes. Dorobte na to skripty Ansible a K8s konfiguráciu - Ingress, Load Balancer, Dashboard.


Stretnutie 14.11

Stav:

- 1 ks klastra je zmontovany

Úlohy:

- Napíšte o tom čo je to kontajnerizácia, čo je Kubernetes, stručne o Rpi CM4 a Super6C - opíšte HW.
- Píšte o metódach orchestrácie. Čo je to a akými metódami sa to robí?
- Napíšte o Ansible. Ako riadiť klaster pomocou Ansible?
- Citujte knihy a odborné články. Nájdete to na google scholar.

Zásobník úloh:

- Pripravte skripty Ansible pre "setup" klastra
- Pripravte skripty pre "reinstall" klastra poocou Ansible
- Zistite ako funguje netboot na rpi, skúste reinstall cez networkboot.

Stretnutie 12.11.2024

Stav:

- Písanie draftu BP
- Vyskúšané tutoriály s Minikube.

Úlohy:

- Zmontujte Raspberry Pi klaster: 1x skrinka s príslušenstvom, 6x RPI Compute Module 4, 1 doska a zdroj SUper6C.
- Urobte videoblog o tom ako zmontovať RPI klaster.  Akým jazykom? Po rusky alebo po slovensky? 
- Zistite čo je to MicroK8s
 - Pokračujte v písaní BP. Používajte citácie na odbornú literatúru ()knihy a odborné články. Do BP píšte aj o hardvéri ktorý ste dostali. Odborné články nájdete na google scholar.
 - Prihláste sa na Azure KLaud.


Zásobník úloh:

- Oživte klaster a nainštalujte na neho MicroK8s. Inštaláciu urobte ľahko opakovateľnú pomocou skriptu.
- Nainštalujte monitorovacie nástroje na klaster.
- Urobte deployment aplikácie na privány klaster aj na verejnmý klaster (AKS).
- Urobte druhý videoblog o inštalácii softvéru na náš klaster.
- Napíšte textový blog o tom čo ste urobili - cieľ je poučiť a inšpirovať študentov.





Stretnutie 4.10.2024

Stav:

Naštudovaný Kubernetes, nainštalované Minikube

Úlohy:


- [x] Napíšte draft BP. Napíšte čo je to Kubernetes a ako sa používa.čo je to kontajnerizácia
- [x] Napíšte, aké nástroje sa používajú na monitoring klastra.
- [-] Vyskúšajte a opíšte nástroj Prometheus, Istio. Zistite čo je service-mesh. Čo je „network fabric“ – Calico.


